:root {
  --white: rgb(250, 250, 250);
  --white-shadow: rgb(220, 220, 220);
  --shadow: rgba(0, 0, 0, 0.4);
  --black-light: rgb(50, 50, 50);
  --black-shallow: rgba(0, 0, 0, 0.8);
  --black: rgb(0, 0, 0);
  --black-shadow: rgba(0, 0, 0, 0.247);
  --gold-verylight: rgb(255, 231, 158);
  --gold-light: rgb(244, 210, 108);
  --gold: rgb(230, 180, 34);
  --gold-deep: rgb(204, 161, 31);
  --gold-verydeep: rgb(153, 120, 23);
  --gold-gradient: linear-gradient(rgb(134, 117, 75), rgb(94, 78, 37));
  --gray: rgb(160, 160, 160);
  --silver: rgb(214, 214, 214);
  --silver-shallow: rgb(214, 214, 214, 0.9);
  --freshman-gradient: linear-gradient(rgb(135, 52, 37), rgb(66, 13, 9));
  --freshman-grad-side: linear-gradient(
    135deg,
    rgb(66, 13, 9),
    rgb(135, 52, 37)
  );
  --red: rgb(135, 43, 44);
  --red-deep: rgb(47, 15, 15);
  --brown: rgb(185, 64, 71);
  --brown-light: rgb(240, 155, 159);
  --blue: rgb(39, 71, 148);
  --navy: rgb(16, 31, 64);
  --standby: rgb(153, 120, 23);
  --game-day: rgb(135, 43, 44);
  --win: red;
  --lose: rgb(30, 0, 130);
  --clear: rgba(0, 0, 0, 0);
}
* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}
body {
  font-family: "Oswald", sans-serif; /* "Noto Sans JP" は削除 */
  font-size: 20px;
  user-select: none; /* ベンダープレフィックスを削除 */
  scroll-behavior: smooth;
  margin: 0;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background: #f0f0f0;
}
/* リンク設定 */
a {
  color: inherit; /* それぞれのクラスの文字色を継承 */
  text-decoration: none; /* アンダーラインを消す */
}
/* ボタン設定 */
.basic-btn {
  font-family: "Lato", sans-serif;
  font-size: 0.3em;
  justify-content: center;
  margin: 0 auto;
  transition: 0.3s all;
  font-weight: 700;
  padding: 5px 25px;
  border-radius: 20px;
  text-transform: uppercase;
}
/* 基本コンテナ設定 */
.basic-container .basic-btn {
  color: var(--white);
  background: var(--black);
}
.black-container .basic-btn {
  color: var(--black);
  background: var(--white);
}
.basic-btn:hover {
  background: var(--gold-deep);
}
.basic-container {
  padding: 50px;
}
.black-container {
  color: var(--white);
  background: var(--black);
}
.basic-container .basic-container-title {
  display: block;
  text-align: center;
  padding-top: 40px;
  font-size: 48px;
}
.basic-container .basic-container-title h1,
.basic-container .basic-container-title h3 {
  font-weight: 700;
}
.basic-container .basic-container-title h1 {
  font-size: 1em;
  text-transform: uppercase;
}
.basic-container .basic-container-title h3 {
  font-size: 0.4em;
}
.basic-container .basic-container-title p {
  font-size: 0.3em;
  padding: 10px 0 0;
}
.basic-container .basic-container-title .basic-container-image {
  justify-content: center;
  margin: 30px auto 0;
  width: 500px;
  height: auto;
}
.basic-container .basic-container-title .basic-container-image img {
  width: 100%;
  height: auto;
}
/* コンテナ背景色設定 */
.back-black img,
.back-silver img,
.back-gold img,
.back-red img {
  transform: skewY(3deg);
}
.back-black {
  background: var(--black);
  color: var(--white);
  transform: skewY(-3deg);
}
.back-silver {
  background: var(--silver);
  transform: skewY(-3deg);
}
.back-gold {
  background: var(--gold);
  transform: skewY(-3deg);
}
.back-red {
  background: var(--brown-light);
  transform: skewY(-3deg);
}
/* 背景画像 */
.bg {
  display: block;
  position: fixed;
  width: auto;
  height: 100%;
  aspect-ratio: 1/2;
  overflow: hidden;
  z-index: -1;
}
.bg .bg-img {
  position: absolute;
  top: 80%;
  transform: translateY(-50%);
  width: 100%;
  height: 100%;
  background-size: cover; /* 画像を要素のサイズに合わせて拡大または縮小 */
  background-position: center; /* 背景画像を中央に配置 */
  background-repeat: no-repeat; /* 画像の繰り返しを防ぐ */
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
/* 背景動画 */
#background_video {
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  z-index: -100;
  object-fit: cover;
}
.year-select {
  position: fixed;
  top: 60px;
  left: 50%;
  transform: translate(-50%, 0);
  width: 150px;
  border-radius: 0 0 10px 10px;
  box-shadow: 0 5px 10px var(--black-shallow);
  background: var(--white);
  transition: all 1s;
  z-index: 10;
}
.dropdown {
  text-align: center;
  padding: 20px 0;
}
.dropdown > ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
.dropdown > ul > li {
  position: relative;
  display: inline-block;
}
/* サブメニューのスイル */
.submenu {
  visibility: hidden; /* 見えないようにする */
  opacity: 0; /* 完全に透明にする */
  transform: translateY(-20px); /* 少し上にずらす */
  transition: all 0.3s;
  transition-delay: 0s, 0.3s, 0.3s; /* トランジションの遅延を設定 */
  position: absolute;
  left: 0;
  top: 100%;
  z-index: 1000;
  background: var(--white);
  border-radius: 0 0 10px 10px;
  box-shadow: 0 10px 10px 0 var(--black-shallow);
  margin-top: 20px;
  list-style: none;
}
.submenu li a {
  display: block;
  padding: 8px 12px;
  text-decoration: none;
  white-space: nowrap;
  color: var(--black-light);
}
.year-select.clicked .submenu {
  visibility: visible; /* 見えるようにする */
  opacity: 1; /* 不透明にする */
  transform: translateY(0); /* 元の位置に戻す */
  transition: visibility 0s, opacity 0.2s ease, transform 0.2s ease;
  transition-delay: 0s, 0.1s, 0.1s; /* visibilityはすぐに変更し、他のプロパティには遅延を設定 */
  background: var(--white);
}
.dropdown a:hover {
  background: var(--gold);
  transition: all 0.5s;
}
/* 文字のアニメーション（fade-up） */
.move_char + .move_char {
  margin-top: 0;
}
.u_fade_up {
  transform: translateY(50px);
  opacity: 0;
}
.u_fade_up.is_active {
  transition: 0.6s;
  transform: translateY(0);
  opacity: 1;
}
/* container comment */
.comment {
  justify-content: center;
  margin: 0 auto;
  text-align: center;
  padding: 20px 0;
  max-width: 900px;
}
.comment p {
  font-size: 0.9em;
}
.comment::before {
  content: "";
  position: relative;
  background: var(--black);
  opacity: 0.5;
}
/* SNS誘導ボタン */
.sns {
  position: fixed;
  top: 90%;
  right: 0;
  display: flex;
  gap: 20px;
  border-radius: 10px 0 0 10px;
  background-color: var(--white);
  box-shadow: 0 5px 10px var(--black);
  border: 1px solid var(--black);
  padding: 20px 20px 12px;
  z-index: 10;
}
.sns img {
  width: 30px;
  height: 30px;
}

@media screen and (max-width: 700px) {
  .basic-container {
    padding: 80px 10px 50px;
  }
  .basic-container .basic-container-title .basic-container-image {
    width: 95%;
  }
  .basic-container .basic-container-title {
    padding: 0 10px;
  }
  .year-select {
    top: 80px;
    right: 0;
    left: 100%;
    height: 45px;
    transform: translate(-100%, 0);
    border-radius: 10px 0 0 10px;
    width: 120px;
  }
  .submenu {
    left: 0;
    margin-top: 16px;
  }
  .dropdown {
    padding: 10px 0;
    font-size: 0.8em;
  }
  .move_char + .move_char {
    margin-top: 30px;
  }
  .comment {
    text-align: left;
    width: 90%;
    padding: 5px 0;
  }
  .comment p {
    font-size: 0.8em;
  }
  /* SNS */
  .sns {
    top: 90%;
    padding: 10px 20px;
  }
  .sns img {
    width: 20px;
    height: 20px;
  }
  /* SNSの案内が表示されるアニメーション（スマホ用） */
  .element-hidden {
    opacity: 0;
    transform: translateX(100px);
    visibility: hidden;
    transition: opacity 0.3s ease-in, transform 0.3s ease-in, visibility 0.3s;
  }
  .element-visible {
    opacity: 1;
    transform: translateX(0);
    visibility: visible;
    transition: opacity 0.3s ease-out, transform 0.3s ease-out, visibility 0.3s;
  }
}
